de.vc.report

## Class ReportImageValue

- java.lang.Object
- - de.vc.report.ReportImageValue

-     public class ReportImageValue
      extends java.lang.Object

  A report-image-value is a special type of a report value which generates a graphic in the output document.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportImageValue(java.lang.String filename)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `createInputStream()`
    `long` | `getFilesize()`
    `java.lang.String` | `getMimeType()`
    `int` | `getSourceHeight()`
    `int` | `getSourceWidth()`
    `Measure` | `getTargetHeight()`
    `Measure` | `getTargetWidth()`
    `void` | `setTargetHeight(Measure targetHeight)`
    `void` | `setTargetWidth(Measure targetWidth)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportImageValue

          public ReportImageValue(java.lang.String filename)
                           throws ReportException

      Throws:
        `ReportException`

  - ### Method Detail

    - #### getFilesize

          public long getFilesize()

    - #### getMimeType

          public java.lang.String getMimeType()
                                       throws ReportException

      Throws:
        `ReportException`

    - #### getSourceHeight

          public int getSourceHeight()
                              throws ReportException

      Throws:
        `ReportException`

    - #### getSourceWidth

          public int getSourceWidth()
                             throws ReportException

      Throws:
        `ReportException`

    - #### getTargetHeight

          public Measure getTargetHeight()

    - #### getTargetWidth

          public Measure getTargetWidth()

    - #### createInputStream

          public java.io.InputStream createInputStream()
                                                throws ReportException

      Throws:
        `ReportException`

    - #### setTargetHeight

          public void setTargetHeight(Measure targetHeight)

    - #### setTargetWidth

          public void setTargetWidth(Measure targetWidth)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.